import { LfI18n, LfRouter, LfStorage, PathBased } from '@lightweightform/core';
import { Option, SelectionValue } from '../../abstract/selection-value';
/**
 * Component used for selecting a list of options by using inputs of type
 * `checkbox`.
 */
export declare class CheckboxGroupComponent extends SelectionValue {
    /**
     * Whether the list of checkbox inputs should be displayed inline. The
     * component will still display in "block" mode in small screens.
     */
    displayInline: boolean;
    constructor(parentPathBasedComponent: PathBased | null, lfStorage: LfStorage, lfI18n: LfI18n, lfRouter: LfRouter | null);
    /**
     * Whether to show the "is required" icon on the component.
     */
    get showIsRequired(): boolean;
    /**
     * Whether a given option is selected.
     * @param option Option to check if it is selected.
     */
    isSelected(option: Option): any;
    /**
     * Action to run whenever a checkbox `input` changes.
     * @param option Option that changed.
     */
    _onOptionChange(option: Option, evt: any): void;
    protected validatePath(): void;
}
