import { AfterViewInit, OnDestroy } from '@angular/core';
import { LfI18n, LfRouter, LfStorage, PathBased } from '@lightweightform/core';
import { LfFileHolder } from '@lightweightform/core';
import { InlineValue } from '../../abstract/inline-value';
/**
 * Component used for selecting files.
 */
export declare class FileComponent extends InlineValue implements AfterViewInit, OnDestroy {
    private lfFileHolder;
    private static idCounter;
    /**
     * One or more unique file type specifiers describing file types to allow.
     */
    accept: string;
    /**
     * Minimum allowed file size in bytes.
     */
    minSize?: number;
    /**
     * Maximum allowed file size in bytes.
     */
    maxSize?: number;
    _id: string;
    _selectedFile: File | null;
    private disposeObserveValue;
    private disposeOnMinMaxSizeChange;
    constructor(parentPathBasedComponent: PathBased | null, lfStorage: LfStorage, lfI18n: LfI18n, lfRouter: LfRouter | null, lfFileHolder: LfFileHolder);
    /**
     * "Choose file" placeholder text.
     */
    get choosePlaceholder(): string;
    /**
     * "Browse" text.
     */
    get browseText(): string;
    /**
     * "No file chosen" text.
     */
    get noneChosenText(): string;
    /**
     * "Clear" button tooltip.
     */
    get clearButtonTooltip(): string;
    get value(): any;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    /**
     * Action to run on every `input` event of the file input.
     * @param evt `input` event.
     */
    _onInput(evt: any): void;
    _onClickClear(evt: any): void;
    protected validatePath(): void;
    private setFile;
    private hasValidSize;
}
