import { LfI18n, LfRouter, LfStorage, PathBased } from '@lightweightform/core';
import { InlineValue } from '../../abstract/inline-value';
/**
 * Component used for editing a "multiple lines" LF string.
 */
export declare class TextareaComponent extends InlineValue {
    /**
     * Initial height of the textarea (CSS measurement string).
     */
    initialHeight: string;
    constructor(parentPathBasedComponent: PathBased | null, lfStorage: LfStorage, lfI18n: LfI18n, lfRouter: LfRouter | null);
    /**
     * Whether to show the "is required" icon on the component.
     */
    get showIsRequired(): boolean;
    /**
     * Action to run on every `input` event of the textarea input.
     * @param evt `input` event.
     */
    _onInput(evt: any): void;
    protected validatePath(): void;
}
