import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { LfI18n, LfRouter, LfStorage, PathBased } from '@lightweightform/core';
import { ValidationIssue } from '@lightweightform/storage';
import { MarkdownService } from 'ngx-markdown';
/**
 * Protocol prefix used for LF links.
 */
export declare const LF_URL_PROTOCOL = "lf://";
/**
 * Validation message directive.
 */
export declare class ValidationIssueDirective extends PathBased implements OnInit {
    private lfRouter;
    private router;
    private markdownService;
    /**
     * Issue with message to display.
     */
    issue: ValidationIssue;
    constructor(parentPathBasedComponent: PathBased | null, lfStorage: LfStorage, lfI18n: LfI18n, lfRouter: LfRouter, router: Router, markdownService: MarkdownService);
    /**
     * HTML string with the issue message to display.
     */
    get issueMessageHTML(): string;
    ngOnInit(): void;
    _onClick(target: HTMLElement, button: number, ctrlKey: boolean, metaKey: boolean, shiftKey: boolean): boolean;
    /**
     * Label associated with the given path.
     * @param path Path from which to fetch label.
     * @returns Label of given path.
     */
    private labelOf;
}
