'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tasks = require('@angular-devkit/schematics/tasks');
var dependencies = require('@schematics/angular/utility/dependencies');

/*! *****************************************************************************
Copyright (c) Microsoft Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */

function __values(o) {
    var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
    if (m) return m.call(o);
    return {
        next: function () {
            if (o && i >= o.length) o = void 0;
            return { value: o && o[i++], done: !o };
        }
    };
}

/**
 * `ng-add` schematic function.
 * @param options Schematic options.
 * @returns Schematic rule.
 */
function ngAdd(options) {
    return function (host, context) {
        var e_1, _a;
        var themePeerDependencies = {"@angular/animations":"~9.0.4","@angular/cdk":"~9.1.0","@angular/common":"~9.0.4","@angular/core":"~9.0.4","@angular/forms":"~9.0.4","@angular/platform-browser":"~9.0.4","@angular/router":"~9.0.4","@lightweightform/core":"^4.9.1","@lightweightform/numeric-input":"^4.7.0","@lightweightform/storage":"^4.9.1","@lightweightform/theme-common":"^4.9.0","bootstrap":"~4.4.1","font-awesome":"^4.7.0","jquery":"^3.4.1","mobx":"^5.15.4","mobx-angular":"^4.1.0","mobx-utils":"^5.5.4","ngx-bootstrap":"^5.5.0","ngx-markdown":"^9.0.0","popper.js":"^1.16.1","rxjs":"~6.5.4"};
        try {
            for (var _b = __values(Object.keys(themePeerDependencies)), _c = _b.next(); !_c.done; _c = _b.next()) {
                var dep = _c.value;
                // Add dependencies only if they don't exist to prevent recording changes
                // on `package.json`
                if (dependencies.getPackageJsonDependency(host, dep) === null) {
                    dependencies.addPackageJsonDependency(host, {
                        type: dependencies.NodeDependencyType.Default,
                        name: dep,
                        version: themePeerDependencies[dep]
                    });
                }
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
            }
            finally { if (e_1) throw e_1.error; }
        }
        var taskDeps = [];
        // Install missing peer dependencies since we depend on the `theme-common`
        // schematics utilities and only then can we set up the project
        // XXX: Don't install dependencies in development mode since `npm install`
        // overrides `npm link`s (see: https://github.com/npm/npm/issues/17287),
        // thus messing up local projects testing the schematics
        {
            taskDeps.push(context.addTask(new tasks.NodePackageInstallTask()));
        }
        context.addTask(new tasks.RunSchematicTask('ng-add-setup', options), taskDeps);
    };
}

exports.ngAdd = ngAdd;
//# sourceMappingURL=before-install.js.map
